Engage > Unsubscribes

Delete an unsubscribe

Delete an unsubscribe record for an email address.

DELETE /api/v1/store/engage/unsubscribes

Delete an unsubscribe

curl --request DELETE \
  --url 'https://{baseUrl}/api/v1/store/engage/unsubscribes' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "unsubscribe_deleted": true
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Headers

  • Accept string required

    Response format header. Example: application/json

Request Body

application/json
  • email string required

    Email address to re-subscribe.

Response

application/json
  • unsubscribe_deleted boolean